
window.addEventListener("load", init_dialog, "true");

var names = ["summary", "details", "chop-query", "home-page",
  		"width", "height", "top", "left"];

// implements all notetaker commands for a given window
function action(task)
{
  var i, params = "";

  if ( task == "notetaker-nav-edit" || task == "notetaker-nav-keywords" )
  {
    var tabs = document.getElementById("dialog.tabs");
    if ( task == "notetaker-nav-edit" )    tabs.selectedIndex = 0;
    if ( task == "notetaker-nav-keywords") tabs.selectedIndex = 1;
  }

  if (task == "notetaker-save")
  {
    var field, widget, note = window.opener.note;

    for (field in note)
    {
	widget = document.getElementById("dialog." + field.replace(/_/,"-"));

	if (!widget) continue;

	if (widget.tagName == "checkbox")
	    note[field] = widget.checked;
	else
	    note[field] = widget.value;
    }
    window.opener.setTimeout('execute("notetaker-save")',1);
  }

  if (task == "notetaker-load" )
  {
    var field, widget, note = window.opener.note;

    for (field in note)
    {
	widget = document.getElementById("dialog." + field.replace(/_/,"-"));

	if (!widget) continue;	// ignore what we don't know.

	if (widget.tagName == "checkbox")
	    widget.checked = note[field];
	else
	    widget.value = note[field];
    }
    refresh_dialog();
  }

  if (task == "notetaker-close-dialog")
  {
    window.close();
  }
}

// template coordination

function init_dialog(origin)
{
  if ( origin != "timed" ) {
    // avoid running inside any onload handler
    setTimeout("init_dialog('timed')",1);
  }
  else
  {
    var listbox = document.getElementById('dialog.keywords');
    listbox.database.AddDataSource(window.opener.noteSession.datasource);

    var tree = document.getElementById('dialog.related');
    tree.database.AddDataSource(window.opener.noteSession.datasource);

    refresh_dialog();
  }
}

function refresh_dialog()
{
  var listbox = document.getElementById('dialog.keywords');
  listbox.ref = window.opener.note.url;
//  listbox.ref = "http://saturn/test1.html";  // test case

  var tree = document.getElementById('dialog.related');
  tree.ref = window.opener.note.url;
//  tree.ref = "http://saturn/test1.html"; // test case
}
